Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1162587 - libbsd: missing format string annotations
Summary: libbsd: missing format string annotations
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: libbsd
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eric Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1731545
TreeView+ depends on / blocked
 
Reported: 2014-11-11 11:13 UTC by Florian Weimer
Modified: 2019-07-25 22:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1032529
Environment:
Last Closed: 2016-07-19 20:29:29 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Florian Weimer 2014-11-11 11:13:18 UTC
The functions warnc, errc in bsd/err.h should have printf format string annotations, so that GCC can warn about their misuse.

setproctitle in bsd/unistd.h should should have a format string, too.

It seems the __printflike macro already provides a means to achieve this.

Comment 1 Jaroslav Reznik 2015-03-03 16:29:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Eric Smith 2015-03-06 04:54:35 UTC
It would be best if this was addressed by upstream. I'll inquire about it. Aside from that, patches are welcome.

Comment 3 Fedora End Of Life 2016-07-19 20:29:29 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.